> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search versions

> Find and query paginated versions of Searches

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { searches } from '@drivly/commerce'

  const sdk = new SDK(...)

  const searches = await sdk.searches.find(): Promise<searches[]>
  ```
</Accordion>


## OpenAPI

````yaml get /searches/versions
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /searches/versions:
    get:
      tags:
        - searches
      summary: Search versions
      description: Find and query paginated versions of Searches
      parameters:
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/searchesVersionsResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    searchesVersions:
      type: object
      title: Search versions
      properties:
        docs:
          type: array
          items:
            title: Search version
            type: object
            additionalProperties: false
            properties:
              version:
                type: object
                additionalProperties: false
                properties:
                  lead:
                    type: number
                    nullable: true
                  status:
                    enum:
                      - On Hold
                      - Searching
                      - Results Found
                      - Search Cancelled
                    type: string
                    nullable: true
                  retailListingUrls:
                    type: string
                    nullable: true
                  year:
                    type: string
                    nullable: true
                  make:
                    type: string
                    nullable: true
                  model:
                    type: string
                    nullable: true
                  trim:
                    type: string
                    nullable: true
                  bodyStyle:
                    items:
                      enum:
                        - car
                        - suv
                        - truck
                        - van
                        - wagon
                      type: string
                    type: array
                    nullable: true
                  drive:
                    items:
                      enum:
                        - 4WD
                        - AWD
                        - 2WD
                      type: string
                    type: array
                    nullable: true
                  transmission:
                    items:
                      enum:
                        - Manual
                        - Automatic
                      type: string
                    type: array
                    nullable: true
                  maxPrice:
                    type: string
                    nullable: true
                  maxMiles:
                    type: number
                    nullable: true
                  newOrUsed:
                    items:
                      enum:
                        - New
                        - Certified
                        - Used
                      type: string
                    type: array
                    nullable: true
                  minimumGrade:
                    type: number
                    nullable: true
                  requiredOptions:
                    items:
                      enum:
                        - Heated Seats
                        - No crazy colors
                        - Tow package
                        - Heated wheel
                        - Panoramic sunroof
                        - Leather Seats
                        - Bluetooth
                        - Backup Camera
                        - Apple Play
                        - Cooled Seats
                      type: string
                    type: array
                    nullable: true
                  acceptableColors:
                    items:
                      enum:
                        - Anti-Black
                        - Anti-Gray
                        - Anti-Red
                        - Anti-Silver
                        - Anti-White
                        - Beige
                        - Black
                        - Blue
                        - Brown
                        - Gold
                        - Gray
                        - Green
                        - Light Blue
                        - Orange
                        - Red
                        - Silver
                        - White
                        - Yellow
                      type: string
                    type: array
                    nullable: true
                  acceptableInterior:
                    items:
                      enum:
                        - Beige
                        - Black
                        - Brown
                        - Cream
                        - Gray
                        - Ivory
                        - Red
                        - Tan
                        - White
                        - Blue
                        - Burgundy
                        - Charcoal
                        - Off-White
                      type: string
                    type: array
                    nullable: true
                  proposedVehicles:
                    type: string
                    nullable: true
                  vehicles:
                    items:
                      type: number
                    type: array
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  seats:
                    type: string
                    nullable: true
                  updateRequested:
                    type: string
                    nullable: true
                  oneOwner:
                    type: boolean
                    nullable: true
                  priority:
                    type: boolean
                    nullable: true
                required:
                  - createdAt
              createdAt:
                type: string
              updatedAt:
                type: string
            required:
              - id
              - parent
              - version
              - createdAt
              - updatedAt
        totalDocs:
          type: number
        limit:
          type: number
        totalPages:
          type: number
        page:
          type: number
        pagingCounter:
          type: number
        hasPrevPage:
          type: boolean
        hasNextPage:
          type: boolean
        prevPage:
          type: number
        nextPage:
          type: number
      required:
        - docs
        - totalDocs
        - limit
        - totalPages
        - page
        - pagingCounter
        - hasPrevPage
        - hasNextPage
  responses:
    searchesVersionsResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/searchesVersions'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````